#ifndef __SM_ENHANCEMENT_H__
#define __SM_ENHANCEMENT_H__

#include <bits/types.h>
#include <linux/limits.h>


#define SM_ERROR_OPERATOR_FAILED          (-1)
#define SM_ERROR_INVALID_PARAMETER        (-2)
#define SM_ERROR_GET_PROGRAM_PATH         (-3)
#define SM_ERROR_GET_CONF_FAILED          (-4)
#define SM_ERROR_SET_CONF_FAILED          (-5)
#define SM_ERROR_REMOVE_CONF_KEY_FAILED   (-6)
#define SM_ERROR_SET_EXECTL_FAILED        (-7)
#define SM_ERROR_SET_FILEPROECT_FAILED    (-8)
#define SM_ERROR_GET_FIREWALL_ZONE_FAILED (-9)
#define SM_ERROR_SET_FIREWALL_ZONE_FAILED (-10)
#define SM_ERROR_DISABLE_FIREWALL_FAILED  (-11)
#define SM_ERROR_ENABLE_FIREWALL_FAILED   (-12)
#define SM_ERROR_SYMLINK_FAILED           (-13)
#define SM_ERROR_CONF_ADD_FAILED          (-14)
#define SM_ERROR_CONF_SET_FAILED          (-15)
#define SM_ERROR_ADD_FILE_FAILED          (-16)
#define SM_ERROR_DELETE_FILE_FAILED       (-17)
#define SM_ERROR_OUT_OF_BUFFER            (-18)

#ifdef __cplusplus
extern "C" {
#endif

/* 

查询当前程序是否是安全套件授权程序
 
* 输出参数：
*  status：当前程序授权状态，0-当前程序没有被授权，1-当前程序已经被授权。

* 返回值：
*  0：  成功
*  其他：由错误码定义的错误类型
*/

int sm_get_current_program_authorize_status(int * status);

/*

查询指定的程序是否是安全套件授权程序
* 输入参数：
*  pid：指定程序的pid
* 输出参数：
*  status：指定程序授权状态，0-指定程序没有被授权，1-指定程序已经被授权。

* 返回值：
*  0：  成功
*  其他：由错误码定义的错误类型
*/

int sm_get_program_authorize_status_by_pid(pid_t pid,int * status);

/* 

查询当前是否存在安全套件被授权
 
* 输出参数：
*  status：当前是否存在安全套件被授权的状态，0-不存在被授权的安全套件，1-存在被授权的安全套件。

* 返回值：
*  0：  成功
*  其他：由错误码定义的错误类型
*/

int sm_get_enhancement_status(int * status);

#ifdef __cplusplus
}
#endif

#endif

